#pragma once
#include "terrainModificationTechnique.h"
#include <limits>



class rampedEllipsoidTechnique : public terrainModificationTechnique
{
public:
	rampedEllipsoidTechnique();
	~rampedEllipsoidTechnique();

	void modifyHeightfield(osg::Vec4d& modificationROI, osg::HeightField* h, osg::Vec4d tileExtends);
	void setModifiedHeight(double height) {_height=height;}
	void setRampWidthFactor(double rampWidthFactor) {_rampWidthFactor=rampWidthFactor;}

private:
	double round(double x) {return (x > 0.5) ? ceil(x) : floor(x);}
	double _height;
	double _rampWidthFactor;
};